SUSE-SU-2017:1893-1: important: Security update for evince

The following information has been provided by the opensuse security announce mailing list.

SUSE Security Update: Security update for evince
______________________________________________________________________________

Announcement ID:    SUSE-SU-2017:1893-1
Rating:             important
References:         #1046856
Cross-References:   CVE-2017-1000083
Affected Products:
SUSE Linux Enterprise Workstation Extension 12-SP2
SUSE Linux Enterprise Software Development Kit 12-SP2
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2
SUSE Linux Enterprise Server 12-SP2
SUSE Linux Enterprise Desktop 12-SP2
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for evince fixes the following issues:

– CVE-2017-1000083: Remote attackers could have used the comicbook mode of
evince to inject shell code. (bsc#1046856, bgo#784630)

Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

– SUSE Linux Enterprise Workstation Extension 12-SP2:

zypper in -t patch SUSE-SLE-WE-12-SP2-2017-1171=1

– SUSE Linux Enterprise Software Development Kit 12-SP2:

zypper in -t patch SUSE-SLE-SDK-12-SP2-2017-1171=1

– SUSE Linux Enterprise Server for Raspberry Pi 12-SP2:

zypper in -t patch SUSE-SLE-RPI-12-SP2-2017-1171=1

– SUSE Linux Enterprise Server 12-SP2:

zypper in -t patch SUSE-SLE-SERVER-12-SP2-2017-1171=1

– SUSE Linux Enterprise Desktop 12-SP2:

zypper in -t patch SUSE-SLE-DESKTOP-12-SP2-2017-1171=1

To bring your system up-to-date, use “zypper patch”.

Package List:

– SUSE Linux Enterprise Workstation Extension 12-SP2 (x86_64):

evince-debuginfo-3.20.1-6.14.1
evince-debugsource-3.20.1-6.14.1
typelib-1_0-EvinceDocument-3_0-3.20.1-6.14.1
typelib-1_0-EvinceView-3_0-3.20.1-6.14.1

– SUSE Linux Enterprise Software Development Kit 12-SP2 (aarch64 ppc64le s390x x86_64):

evince-debuginfo-3.20.1-6.14.1
evince-debugsource-3.20.1-6.14.1
evince-devel-3.20.1-6.14.1
typelib-1_0-EvinceDocument-3_0-3.20.1-6.14.1
typelib-1_0-EvinceView-3_0-3.20.1-6.14.1

– SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (aarch64):

evince-3.20.1-6.14.1
evince-browser-plugin-3.20.1-6.14.1
evince-browser-plugin-debuginfo-3.20.1-6.14.1
evince-debuginfo-3.20.1-6.14.1
evince-debugsource-3.20.1-6.14.1
evince-plugin-djvudocument-3.20.1-6.14.1
evince-plugin-djvudocument-debuginfo-3.20.1-6.14.1
evince-plugin-dvidocument-3.20.1-6.14.1
evince-plugin-dvidocument-debuginfo-3.20.1-6.14.1
evince-plugin-pdfdocument-3.20.1-6.14.1
evince-plugin-pdfdocument-debuginfo-3.20.1-6.14.1
evince-plugin-psdocument-3.20.1-6.14.1
evince-plugin-psdocument-debuginfo-3.20.1-6.14.1
evince-plugin-tiffdocument-3.20.1-6.14.1
evince-plugin-tiffdocument-debuginfo-3.20.1-6.14.1
evince-plugin-xpsdocument-3.20.1-6.14.1
evince-plugin-xpsdocument-debuginfo-3.20.1-6.14.1
libevdocument3-4-3.20.1-6.14.1
libevdocument3-4-debuginfo-3.20.1-6.14.1
libevview3-3-3.20.1-6.14.1
libevview3-3-debuginfo-3.20.1-6.14.1
nautilus-evince-3.20.1-6.14.1
nautilus-evince-debuginfo-3.20.1-6.14.1

– SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (noarch):

evince-lang-3.20.1-6.14.1

– SUSE Linux Enterprise Server 12-SP2 (aarch64 ppc64le):

evince-3.20.1-6.14.1
evince-browser-plugin-3.20.1-6.14.1
evince-browser-plugin-debuginfo-3.20.1-6.14.1
evince-debuginfo-3.20.1-6.14.1
evince-debugsource-3.20.1-6.14.1
evince-plugin-djvudocument-3.20.1-6.14.1
evince-plugin-djvudocument-debuginfo-3.20.1-6.14.1
evince-plugin-dvidocument-3.20.1-6.14.1
evince-plugin-dvidocument-debuginfo-3.20.1-6.14.1
evince-plugin-pdfdocument-3.20.1-6.14.1
evince-plugin-pdfdocument-debuginfo-3.20.1-6.14.1
evince-plugin-psdocument-3.20.1-6.14.1
evince-plugin-psdocument-debuginfo-3.20.1-6.14.1
evince-plugin-tiffdocument-3.20.1-6.14.1
evince-plugin-tiffdocument-debuginfo-3.20.1-6.14.1
evince-plugin-xpsdocument-3.20.1-6.14.1
evince-plugin-xpsdocument-debuginfo-3.20.1-6.14.1
libevdocument3-4-3.20.1-6.14.1
libevdocument3-4-debuginfo-3.20.1-6.14.1
libevview3-3-3.20.1-6.14.1
libevview3-3-debuginfo-3.20.1-6.14.1
nautilus-evince-3.20.1-6.14.1
nautilus-evince-debuginfo-3.20.1-6.14.1

– SUSE Linux Enterprise Server 12-SP2 (noarch):

evince-lang-3.20.1-6.14.1

– SUSE Linux Enterprise Desktop 12-SP2 (x86_64):

evince-3.20.1-6.14.1
evince-browser-plugin-3.20.1-6.14.1
evince-browser-plugin-debuginfo-3.20.1-6.14.1
evince-debuginfo-3.20.1-6.14.1
evince-debugsource-3.20.1-6.14.1
evince-plugin-djvudocument-3.20.1-6.14.1
evince-plugin-djvudocument-debuginfo-3.20.1-6.14.1
evince-plugin-dvidocument-3.20.1-6.14.1
evince-plugin-dvidocument-debuginfo-3.20.1-6.14.1
evince-plugin-pdfdocument-3.20.1-6.14.1
evince-plugin-pdfdocument-debuginfo-3.20.1-6.14.1
evince-plugin-psdocument-3.20.1-6.14.1
evince-plugin-psdocument-debuginfo-3.20.1-6.14.1
evince-plugin-tiffdocument-3.20.1-6.14.1
evince-plugin-tiffdocument-debuginfo-3.20.1-6.14.1
evince-plugin-xpsdocument-3.20.1-6.14.1
evince-plugin-xpsdocument-debuginfo-3.20.1-6.14.1
libevdocument3-4-3.20.1-6.14.1
libevdocument3-4-debuginfo-3.20.1-6.14.1
libevview3-3-3.20.1-6.14.1
libevview3-3-debuginfo-3.20.1-6.14.1
nautilus-evince-3.20.1-6.14.1
nautilus-evince-debuginfo-3.20.1-6.14.1
typelib-1_0-EvinceDocument-3_0-3.20.1-6.14.1
typelib-1_0-EvinceView-3_0-3.20.1-6.14.1

– SUSE Linux Enterprise Desktop 12-SP2 (noarch):

evince-lang-3.20.1-6.14.1

References:

https://www.suse.com/security/cve/CVE-2017-1000083.html
https://bugzilla.suse.com/1046856